Name: main
Host: 0.0.0.0
Port: 8888
DataSource: "bdrp:d7X7E1KSxrZC@tcp(bdrp_mysql:3306)/bdrp?charset=utf8mb4&parseTime=True&loc=Local"
CacheRedis:
    - Host: "bdrp_redis:6379"
      Pass: "3m3WsgyCKWqz" # Redis 密码，如果未设置则留空
      Type: "node" # 单节点模式

JwtAuth:
    AccessSecret: "WUvoIwL-FK0qnlxhvxR9tV6SjfOpeJMpKmY2QvT99lA"
    AccessExpire: 2592000
    RefreshAfter: 1296000

VerifyCode:
    AccessKeyID: "xxxx"
    AccessKeySecret: "xxxx"
    EndpointURL: "dysmsapi.aliyuncs.com"
    SignName: "xxxx"
    TemplateCode: "xxxx"
    ValidTime: 300

Captcha:
    Enable: false
    AccessKeyID: "xxxx"
    AccessKeySecret: "xxxx"
    EndpointURL: "captcha.cn-shanghai.aliyuncs.com"
    SceneID: "xxxx"
    EKey: ""

Encrypt:
    SecretKey: "xxxx"
Alipay:
    AppID: "xxxx"
    PrivateKey: "xxxx"
    AlipayPublicKey: "xxxx"
    AppCertPath: "etc/merchant/appCertPublicKey_xxxxxxxxxxx.crt"
    AlipayCertPath: "etc/merchant/alipayCertPublicKey_RSA2.crt"
    AlipayRootCertPath: "etc/merchant/alipayRootCert.crt"
    IsProduction: true
    NotifyUrl: "https://www.XXXXXXXXXXXXXX.com/api/v1/pay/alipay/callback"
    ReturnURL: "https://www.XXXXXXXXXXXXXX.com/payment/result"
Wxpay:
    AppID: "xxxx"
    MchID: "xxxx"
    MchCertificateSerialNumber: "xxxx"
    MchApiv3Key: "xxxx"
    MchPrivateKeyPath: "etc/merchant/wxpay/XXXXXXXXXXXX_XXXXXXXXXXXX_cert/apiclient_key.pem"
    MchPublicKeyID: "xxxx"
    MchPublicKeyPath: "etc/merchant/wxpay/XXXXXXXXXXXX_XXXXXXXXXXXX_cert/pub_key.pem"
    MchPlatformRAS: "xxxx"
    NotifyUrl: "https://www.XXXXXXXXXXXXXX.com/api/v1/pay/wechat/callback"
    RefundNotifyUrl: "https://www.XXXXXXXXXXXXXX.com/api/v1/wechat/refund_callback"
Applepay:
    ProductionVerifyURL: "https://api.storekit.itunes.apple.com/inApps/v1/transactions/receipt"
    SandboxVerifyURL: "https://api.storekit-sandbox.itunes.apple.com/inApps/v1/transactions/receipt"
    Sandbox: true
    BundleID: "xxxx"
    IssuerID: "xxxx"
    KeyID: "xxxx"
    LoadPrivateKeyPath: "etc/merchant/AuthKey_XXXXXXXXXXXX.p8"
SystemConfig:
    ThreeVerify: true
    CommissionSafeMode: false # 佣金安全防御模式：true-冻结模式，false-直接结算模式
WechatH5:
    AppID: "xxxx"
    AppSecret: "xxxx"
WechatMini:
    AppID: "xxxx" # 小程序的AppID
    AppSecret: "xxxx" # 小程序的AppSecret
    TycAppID: "xxxx"
    TycAppSecret: "xxxx"
Query:
    ShareLinkExpire: 604800 # 7天 = 7 * 24 * 60 * 60 = 604800秒
AdminConfig:
    AccessSecret: "xxxx"
    AccessExpire: 604800
    RefreshAfter: 302400
TaxConfig:
    TaxRate: 0.06
    TaxExemptionAmount: 0.00
Tianyuanapi:
    AccessID: "xxxx"
    Key: "xxxx"
    BaseURL: "https://api.tianyuanapi.com"
    Timeout: 60
Authorization:
    FileBaseURL: "https://www.XXXXXXXXXXXXXX.com/api/v1/auth-docs" # 授权书文件访问基础URL
ExtensionTime: 24 # 佣金解冻延迟时间，单位：24小时
